using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LogoApp
{
    class Typ // podle toho, kde se hlaska ve slove vyskytuje 
    {
        private List<Slovo> seznam = new List<Slovo>(); // seznam slov
        private List<int> bylo = new List<int>(); // promena obsahujici seznam jiz procvicenych slov

        public void Pridat(string text, string zvuk, string obr) // metoda pro pridani slova
        {
            seznam.Add(new Slovo(text, zvuk, obr));
        }

        public Slovo Dalsi() // metoda pro zobrazeni dalsiho, nahodne vybraneho slova s osetrenim, aby se zadne slovo neopakovalo 
        {
            if (bylo.Count == seznam.Count)
            {
                bylo.Clear();
            }

            Random rnd = new Random();
            int vyber = rnd.Next(seznam.Count);
            while (bylo.Contains(vyber))
            {
                vyber = rnd.Next(seznam.Count);
            }
            bylo.Add(vyber);
           
            return seznam[vyber];
        }
        
        public void SmazPosledni() // metoda pro smazani slova pouzivana pri negativnim ohodnoceni vyslovnosti
        {
            bylo.RemoveAt(bylo.Count - 1);
        }
    }
}
